Skip to main content
GET
Search the catalog across all providers, or within one.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string

Free text over title, model id and category.

category
string

One of llm, image, video, 3d, audio, web, data, social-media, e-commerce, finance.

provider
string

Provider id.

cursor
string

Opaque; the next_cursor of the previous page.

limit
integer

1–list.max_limit (100), default list.default_limit (20).

Required range: 1 <= x <= 100

Response

A page of models.

object
string
required
Allowed value: "list"
items
object[]
required
next_cursor
string | null
required
has_more
boolean
required